Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class GroovyLog

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.GroovyLog

    @Deprecated
    public class GroovyLog
    extends GroovyObjectSupport

Represents an arbitrary logging service. By default this outputs to System.out though derivations of this class could log to Jakarta Commons Logging or log4j or JDK 1.5 logging etc

Authors:
  James Strachan

Version:
  \$Revision: 18133 \$

Constructor Summary
`GroovyLog()`
`GroovyLog(Class type)`
`GroovyLog(Object obj)`
`GroovyLog(String prefix)`

Method Summary
`Object` | `invokeMethod(String name, Object args)`
`static GroovyLog` | `newInstance(Class aClass)` Factory method to create new instances

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GroovyLog

    public GroovyLog()

### GroovyLog

    public GroovyLog(Class type)

### GroovyLog

    public GroovyLog(Object obj)

### GroovyLog

    public GroovyLog(String prefix)

Method Detail

### invokeMethod

    public Object invokeMethod(String name, Object args)

### newInstance

    public static GroovyLog newInstance(Class aClass)

  Factory method to create new instances

Copyright © 2003-2010 The Codehaus. All rights reserved.